"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chunker_1 = __importDefault(require("./chunker"));
async function* default_1(input, size) {
    const chunker = new chunker_1.default(size);
    for await (const chunk of input) {
        yield* chunker.push(chunk);
    }
    return chunker.takeRemaining();
}
exports.default = default_1;
